#include "AdminAuth.h"
using namespace webconsole;
bool AdminAuth::isAuth(const char *token)
{
    return tokenbuffer->exists(token) != -1;
}
bool AdminAuth::logout(const char *token)
{
    int16_t tid = tokenbuffer->exists(token);
    tokenbuffer->setnull(tid);
    return tid != -1;
}
char *AdminAuth::login(const char *username, const char *password)
{
    char *res = nullptr;
    File adminfile = LittleFS.open("admin", "r");
    bool current_field = false;
    uint16_t current_pos = 0;
    Serial.print('-');
    while (adminfile.available())
    {
        char current = adminfile.read();
        Serial.print(current);
        Serial.print('-');
        if (current == 0x00)
        {
            if (current_field)
            {
                if (password[current_pos] == 0x00)
                    res = tokenbuffer->newToken();
                break;
            }
            else
            {
                if (username[current_pos] != 0x00)
                    break;
                current_pos = 0;
                current_field = true;
            }
        }
        else if (!current_field)
        {
            Serial.print(String(username[current_pos]));
            if (username[current_pos] == 0x00 || username[current_pos] != current)
                break;
            current_pos++;
        }
        else
        {
            Serial.print(String(password[current_pos]));
            if (password[current_pos] == 0x00 || password[current_pos] != current)
                break;
            current_pos++;
        }
        Serial.print(',');
    }
    adminfile.close();
    return res;
}